%% script to reset the GUI lab
clear all

locationStr ={'./lib/modelFiles/','./lib/modelMEXfiles/','./lib/modelMEXfiles/predictionModels/','./lib/savedParameters/','./lib/savedParameters/savedSampledParameters/','./lib/','./lib/'};%list the directories from which to delete files
fileIdentifierStr = {'*.txt','*.mex*','*.mex*','*.mat','*.mat','*.csv','*.mat'};%list the file type to identify and delete form each respective directory.
for i = 1:length(locationStr)
    files = dir([locationStr{i},fileIdentifierStr{i}]);%get the files that matches the directory and file type
    if ~isempty(files);files2Delete{i,:} = cellfun(@sprintf,repmat({[locationStr{i},'%s']},1,length(files)), vertcat({files.name}), 'UniformOutput', false).';end %if the files exists concatinate the file names with the corresponding directory strings.
end
files2Delete = vertcat(files2Delete{:});%get all the strings into one list 
files2Delete = files2Delete(~strcmp(files2Delete,'./lib/modelFiles/emptyModelTemplate.txt'));%remove the emptyModelTemplate form the list of files to delete.

fclose('all'); %close all open files
if ~isempty(files2Delete); delete(files2Delete{:});end % delete the listed files
fprintf('-----------------# Computer exercise reset #-----------------\n')




